org.bdgenomics.adam.projections

# VariantCallingAnnotationsField

###
Related Doc: package projections

#### object VariantCallingAnnotationsField extends FieldEnumeration

Enumeration of VariantCallingAnnotations field names for predicates and projections.

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantCallingAnnotationsField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   Definition Classes
     FieldEnumeration

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

5. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

6. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

7. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value: Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### val alleleCountMLE: SchemaVal

10. #### val alleleFrequencyMLE: SchemaVal

11. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

12. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

13. #### val baseQRankSum: SchemaVal

14. #### val clippingRankSum: SchemaVal

15. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

16. #### val culprit: SchemaVal

17. #### val downsampled: SchemaVal

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### val haplotypeScore: SchemaVal

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### val inbreedingCoefficient: SchemaVal

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### val mapq0Reads: SchemaVal

27. #### final def maxId: Int

    Definition Classes
      Enumeration

28. #### val mqRankSum: SchemaVal

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

31. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

32. #### final def notify(): Unit

    Definition Classes
      AnyRef

33. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

34. #### val readDepth: SchemaVal

35. #### val readPositionRankSum: SchemaVal

36. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

37. #### val recordSchema: Schema

    Definition Classes
      FieldEnumeration

38. #### val rmsMapQ: SchemaVal

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

41. #### val usedForNegativeTrainingSet: SchemaVal

42. #### val usedForPositiveTrainingSet: SchemaVal

43. #### def values: ValueSet

    Definition Classes
      Enumeration

44. #### val variantCallErrorProbability: SchemaVal

45. #### val variantFilters: SchemaVal

46. #### val variantIsPassing: SchemaVal

47. #### val variantQualityByDepth: SchemaVal

48. #### val vqslod: SchemaVal

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped